scim_helper.h File Reference

Defines scim::HelperAgent and it's related types. More...

## Classes

class | scim::HelperError
struct | scim::HelperInfo
| Structure to hold the information of a Helper object. More...
class | scim::HelperAgent
| The accessory class to write a Helper object. More...

## Namespaces

namespace | scim

## Typedefs

typedef Slot3< void, const HelperAgent *, int, const String & > | scim::HelperAgentSlotVoid
typedef Slot4< void, const HelperAgent *, int, const String &, const String & > | scim::HelperAgentSlotString
typedef Slot4< void, const HelperAgent *, int, const String &, int > | scim::HelperAgentSlotInt
typedef Slot5< void, const HelperAgent *, int, const String &, int, int > | scim::HelperAgentSlotIntInt
typedef Slot4< void, const HelperAgent *, int, const String &, const Transaction & > | scim::HelperAgentSlotTransaction

## Variables

const uint32 | scim::SCIM_HELPER_STAND_ALONE = 1
| Helper option indicates that it's a stand alone Helper.
const uint32 | scim::SCIM_HELPER_AUTO_START = (1<<1)
| Helper option indicates that it must be started automatically when Panel starts.
const uint32 | scim::SCIM_HELPER_AUTO_RESTART = (1<<2)
| Helper option indicates that it should be restarted when it exits abnormally.
const uint32 | scim::SCIM_HELPER_NEED_SCREEN_INFO = (1<<3)
| Helper option indicates that it needs the screen update information.
const uint32 | scim::SCIM_HELPER_NEED_SPOT_LOCATION_INFO = (1<<4)
| Helper option indicates that it needs the spot location information.

## Detailed Description

Defines scim::HelperAgent and it's related types.

scim::HelperAgent is a class used to write Client Helper modules.